Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.model.message.header
Class MANHeader

    java.lang.Object
      org.teleal.cling.model.message.header.UpnpHeader<String>
          org.teleal.cling.model.message.header.MANHeader

    public class MANHeader

extends UpnpHeader<String>

Author:
  Christian Bauer

Nested Class Summary

Nested classes/interfaces inherited from class org.teleal.cling.model.message.header.UpnpHeader
`UpnpHeader.Type`

Field Summary
`String` | `namespace`
`static Pattern` | `NAMESPACE_PATTERN`
`static Pattern` | `PATTERN`

Constructor Summary
`MANHeader()`
`MANHeader(String value)`
`MANHeader(String value, String namespace)`

Method Summary
`String` | `getNamespace()`
`String` | `getString()`
`void` | `setNamespace(String namespace)`
`void` | `setString(String s)`

Methods inherited from class org.teleal.cling.model.message.header.UpnpHeader
`getValue, newInstance, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PATTERN

    public static final Pattern PATTERN

### NAMESPACE_PATTERN

    public static final Pattern NAMESPACE_PATTERN

### namespace

    public String namespace

Constructor Detail

### MANHeader

    public MANHeader()

### MANHeader

    public MANHeader(String value)

### MANHeader

    public MANHeader(String value,
                     String namespace)

Method Detail

### setString

    public void setString(String s)
                   throws InvalidHeaderException

  Specified by:
    `setString` in class `UpnpHeader<String>`
  Parameters:
    `s` - This header's value as a string representation.
  Throws:
    `InvalidHeaderException` - If the value is invalid for this UPnP header.

### getString

    public String getString()

  Specified by:
    `getString` in class `UpnpHeader<String>`
  Returns:
    A string representing this header's value.

### getNamespace

    public String getNamespace()

### setNamespace

    public void setNamespace(String namespace)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.